<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: t(:label_working_days) %>

<div class="op-toast -warning">
  <div class="op-toast--content">
    <p>
    <%= t("working_days.warning").html_safe %>
    </p>
  </div>
</div>

<%= styled_form_tag(
      admin_settings_working_days_path,
      method: :patch,
      class: 'op-working-days-admin-settings'
    ) do %>

  <section class="form--section">
    <fieldset class="form--fieldset">
      <legend class="form--fieldset-legend"><%= t('settings.working_days.section_work_week') %></legend>

      <p>
        <%= t("working_days.info").html_safe %>
      </p>

      <div class="form--field op-working-days-admin-settings--day-selectors" id="setting_working_days">
        <%= setting_multiselect :working_days,

              I18n.t('date.day_names').rotate.zip(WeekDay::DAY_RANGE),
              direction: :horizontal %>
      </div>

    </fieldset>
  </section>

  <section class="form--section">
    <fieldset class="form--fieldset">
      <legend class="form--fieldset-legend"><%= t('settings.working_days.section_holidays_and_closures') %></legend>

      <p>
        <%= t("working_days.instance_wide_info").html_safe %>
      </p>
      <%= angular_component_tag 'op-non-working-days-list',
                                data: { modified_non_working_days: @modified_non_working_days } %>

    </fieldset>
  </section>



  <%= styled_button_tag t(:button_apply_changes), class: '-primary -with-icon icon-checkmark' %>
<% end %>
